Subject: Re: pci32 code - early_*config*

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 17 Apr 2009 10:33:02 +0200

On Fri, 2009-04-17 at 10:03 +0200, Roderick Colenbrander wrote:
> 
> There are cases when it is really needed (or you would have to access
> the address and data bus by hand). In my case I'm using a Xilinx PLB
> soft-core and if certain options in the configuration header aren't
> set (which aren't set by default) the soft-core is basically disabled.
> Cases like this look like valid cases in which early config should be
> used.

I still wonder whether we could just setup the pci_controller data
structure and use "normal" PCI config access routines...

Cheers,
Ben.